#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: preprocessor-tools
version: 1.0.1
id: preprocessor-tools-1.0.1-6aa6b0a61c28dc370b510b5113da0bd3
key: prepr_74Bfi6lGejb2QXsDNuJNab
license: BSD3
maintainer: tov@eecs.harvard.edu
stability: experimental
homepage: http://www.eecs.harvard.edu/~tov/pubs/haskell-session-types/
synopsis: A framework for extending Haskell'\''s syntax via quick-and-dirty preprocessors
description:
    This library provides a quick-and-dirty (but often effective)
    method for extending Haskell'\''s syntax using a custom
    preprocessor.  It parses Haskell into a bare-bones AST with just
    enough knowledge of the syntax to preserve nesting, and then
    allows transformations on the AST.
    .
    See the package ixdopp
    (<http://hackage.haskell.org/cgi-bin/hackage-scripts/package/ixdopp>)
    for an example of how to do this.
category: Source-tools, Language, Code Generation
author: Jesse A. Tov <tov@eecs.harvard.edu>
exposed: True
exposed-modules:
    Language.Haskell.Preprocessor Language.Haskell.Preprocessor.Ast
    Language.Haskell.Preprocessor.Error
    Language.Haskell.Preprocessor.Loc
    Language.Haskell.Preprocessor.Parser
    Language.Haskell.Preprocessor.Printer
    Language.Haskell.Preprocessor.SynSpec
    Language.Haskell.Preprocessor.Token
    Language.Haskell.Preprocessor.Util
hidden-modules: Language.Haskell.Preprocessor.Lexer
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/preprocessor-tools-1.0.1
hs-libraries: HSpreprocessor-tools-1.0.1-74Bfi6lGejb2QXsDNuJNab
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    parsec-3.1.9-0fe569f8910ae428afcb296b92440ead
    syb-0.5.1-2e49af2beee81e7226b33f3dd6f23ae6
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/preprocessor-tools-1.0.1/html/preprocessor-tools.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/preprocessor-tools-1.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
